package com.red.circle.other.infra.database.mongo.service.live;

import com.red.circle.other.infra.database.mongo.entity.live.RoomTourist;
import java.util.List;

/**
 * 房间足迹.
 *
 * @author pengliang on 2021/12/27
 */

public interface RoomTouristService {

  /**
   * 添加足迹.
   */
  void add(Long userId, Long roomId, Long timeId);

  /**
   * 流加载.
   */
  List<RoomTourist> flow(Long userId, Long lastTimeId);

  /**
   * 查询房间内最近访客记录.
   *
   * @param roomId 房间ID 必填
   * @param userId 用户ID 选填
   */
  List<RoomTourist> listRecentVisitors(Long roomId, Long userId);

}
